Browse Source

Fix multiple issues

Both issues affect Train and earlier releases.

1. Fix monasca-grafana by pinning more Ruby gems

childprocess 3.0.0 and ffi 1.13.0 depend on Ruby 2.3.

2. Bump bifrost to 7.2.1

Bifrost had a fix to stop using the master branch of DIB which dropped
support for Python 2.

Change-Id: Ida7e20833360bbca69c6aafc4f5d7cb375bb106f
Closes-Bug: #1882070
changes/57/733557/3
Mark Goddard 1 year ago
parent
commit
3784d32d9c
  1. 3
      docker/monasca/monasca-grafana/Dockerfile.j2
  2. 2
      kolla/common/config.py

3
docker/monasca/monasca-grafana/Dockerfile.j2

@ -53,7 +53,8 @@ ARG monasca_grafana_url=https://github.com/monasca/grafana/archive/$monasca_graf
# NOTE(yoctozepto): Update npm to 6.x version to avoid issues with metadata parsing.
# NPM installs itself in /usr/local/bin (the default in Ubuntu) which is not in the PATH.
# This is forced for all distros to avoid conflicts with native packages.
RUN gem install rake:"~>12" fpm \
# NOTE(mgoddard): childprocess 3.0.0 and ffi 1.13.0 depend on Ruby 2.3.
RUN gem install rake:"~>12" ffi:"<1.13.0" childprocess:"<2.0.0" fpm \
&& curl -sSL -o /tmp/monasca-grafana.tgz ${monasca_grafana_url} \
&& mkdir -p ${monasca_grafana_build_path} \
&& tar --strip 1 -xvf /tmp/monasca-grafana.tgz -C ${monasca_grafana_build_path} \

2
kolla/common/config.py

@ -323,7 +323,7 @@ SOURCES = {
'bifrost-base': {
'type': 'url',
'location': ('$tarballs_base/bifrost/'
'bifrost-7.2.0.tar.gz')},
'bifrost-7.2.1.tar.gz')},
'blazar-base': {
'type': 'url',
'location': ('$tarballs_base/blazar/'

Loading…
Cancel
Save